curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"id\": \"payu00000001\", \"vid\": \"4f718f15fe5754edc089a8eb8e26b2fb79271608\", \"created\": \"2022-06-09T16:59:57+00:00\", \"amount\": 0, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1654768797\", \"vid\": \"4479f64f9bfbd9e089e6b2752b6ca3d62c2a61b5\", \"created\": \"2022-06-09T16:59:57+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"9658844874d39f7faa42efaa78f66a93ea26b056\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1654768797\", \"vid\": \"797b9304b44179ddf5e3e7c8b6b4c51ad86a7ee4\", \"created\": \"2022-06-09T16:59:57+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"fa7ba53f0de70dc9327933d70f46cad99b1bed3c\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1654768797\", \"vid\": \"797b9304b44179ddf5e3e7c8b6b4c51ad86a7ee4\", \"created\": \"2022-06-09T16:59:57+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"fa7ba53f0de70dc9327933d70f46cad99b1bed3c\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-06-10T08:01:31+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-06-09T16:59:58+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900 - N/A\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-06-09T16:59:57+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" } } ], \"total_count\": 3 }, \"payment_processor\": \"Vindicia\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"9658844874d39f7faa42efaa78f66a93ea26b056\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"metadata\": { \"vin:BillingPlanUnit\": \"month\", \"vin:BillingPlanLength\": \"1\", \"vin:ignoreAvsPolicy\": \"1\", \"vin:payment_processor\": \"Vindicia\", \"vin:RetryNumber\": \"0\", \"vin:recurring\": \"1\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:ignoreCvnPolicy\": \"1\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"49.99\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"plan_496968\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"BOOTCAMP_INDIA\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"BOOTCAMP_INDIA\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1654768797\", \"vid\": \"14512da8b5e9626139dbc463f9994a97d6cf6e1d\" }, \"quantity\": 1, \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"a9fd05006386b64dac39602dd836e065bd982b28\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-06-09T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1654768797\", \"vid\": \"3970c6f43127d4c486c9a561ffab5c8daff61db9\" }, \"cvn_checked\": false } ], \"total_count\": 5, \"url\": \"/transactions?limit=1\", \"next\": \"/transactions?limit=1&starting_after=payu00000001\", \"previous\": \"/transactions?limit=1&ending_before=payu00000001\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"List All Transactions
Retrieves all transactions. To limit the potentially large return size, it is recommended that the account or subscription query parameters be used to filter, in addition to pagination.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"id\": \"payu00000001\", \"vid\": \"4f718f15fe5754edc089a8eb8e26b2fb79271608\", \"created\": \"2022-06-09T16:59:57+00:00\", \"amount\": 0, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1654768797\", \"vid\": \"4479f64f9bfbd9e089e6b2752b6ca3d62c2a61b5\", \"created\": \"2022-06-09T16:59:57+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"9658844874d39f7faa42efaa78f66a93ea26b056\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1654768797\", \"vid\": \"797b9304b44179ddf5e3e7c8b6b4c51ad86a7ee4\", \"created\": \"2022-06-09T16:59:57+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"fa7ba53f0de70dc9327933d70f46cad99b1bed3c\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1654768797\", \"vid\": \"797b9304b44179ddf5e3e7c8b6b4c51ad86a7ee4\", \"created\": \"2022-06-09T16:59:57+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"fa7ba53f0de70dc9327933d70f46cad99b1bed3c\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-06-10T08:01:31+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-06-09T16:59:58+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900 - N/A\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-06-09T16:59:57+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" } } ], \"total_count\": 3 }, \"payment_processor\": \"Vindicia\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"9658844874d39f7faa42efaa78f66a93ea26b056\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"metadata\": { \"vin:BillingPlanUnit\": \"month\", \"vin:BillingPlanLength\": \"1\", \"vin:ignoreAvsPolicy\": \"1\", \"vin:payment_processor\": \"Vindicia\", \"vin:RetryNumber\": \"0\", \"vin:recurring\": \"1\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:ignoreCvnPolicy\": \"1\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"49.99\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"plan_496968\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"BOOTCAMP_INDIA\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"BOOTCAMP_INDIA\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1654768797\", \"vid\": \"14512da8b5e9626139dbc463f9994a97d6cf6e1d\" }, \"quantity\": 1, \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"a9fd05006386b64dac39602dd836e065bd982b28\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-06-09T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1654768797\", \"vid\": \"3970c6f43127d4c486c9a561ffab5c8daff61db9\" }, \"cvn_checked\": false } ], \"total_count\": 5, \"url\": \"/transactions?limit=1\", \"next\": \"/transactions?limit=1&starting_after=payu00000001\", \"previous\": \"/transactions?limit=1&ending_before=payu00000001\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Order the List in Ascending asc or Descending desc order.
Limit the transaction list to a specified account id or vid - if specified, all Transactions associated with that Account. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Limit the transaction list to a specified subscription id or vid - if specified, all Transactions associated with that subscription. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Indicates whether or not to return any existing child accounts’ transactions for a given returned Subscription/account combination.
Limit the transaction list to a specified PaymentMethod type.
Response
JSON A list array with a data property that contains an array of up to limit Transactions, starting after the specified starting_after Transaction (or ending before the specified ending_before Transaction). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error. A list of Transaction objects matching the query. Also:
- "total_count": Integer count of the number of Transaction objects in the returned list.
- "url": The query string provided in the request
- "next": The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here
- "previous": The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"id\": \"payu00000001\", \"vid\": \"4f718f15fe5754edc089a8eb8e26b2fb79271608\", \"created\": \"2022-06-09T16:59:57+00:00\", \"amount\": 0, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1654768797\", \"vid\": \"4479f64f9bfbd9e089e6b2752b6ca3d62c2a61b5\", \"created\": \"2022-06-09T16:59:57+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"9658844874d39f7faa42efaa78f66a93ea26b056\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1654768797\", \"vid\": \"797b9304b44179ddf5e3e7c8b6b4c51ad86a7ee4\", \"created\": \"2022-06-09T16:59:57+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"fa7ba53f0de70dc9327933d70f46cad99b1bed3c\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1654768797\", \"vid\": \"797b9304b44179ddf5e3e7c8b6b4c51ad86a7ee4\", \"created\": \"2022-06-09T16:59:57+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"fa7ba53f0de70dc9327933d70f46cad99b1bed3c\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-06-10T08:01:31+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-06-09T16:59:58+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900 - N/A\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-06-09T16:59:57+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" } } ], \"total_count\": 3 }, \"payment_processor\": \"Vindicia\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"9658844874d39f7faa42efaa78f66a93ea26b056\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"metadata\": { \"vin:BillingPlanUnit\": \"month\", \"vin:BillingPlanLength\": \"1\", \"vin:ignoreAvsPolicy\": \"1\", \"vin:payment_processor\": \"Vindicia\", \"vin:RetryNumber\": \"0\", \"vin:recurring\": \"1\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:ignoreCvnPolicy\": \"1\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"49.99\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"plan_496968\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"BOOTCAMP_INDIA\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"BOOTCAMP_INDIA\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1654768797\", \"vid\": \"14512da8b5e9626139dbc463f9994a97d6cf6e1d\" }, \"quantity\": 1, \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-06-09T07:00:00+00:00\", \"service_period_ends\": \"2022-06-15T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"a9fd05006386b64dac39602dd836e065bd982b28\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-06-09T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1654768797\", \"vid\": \"3970c6f43127d4c486c9a561ffab5c8daff61db9\" }, \"cvn_checked\": false } ], \"total_count\": 5, \"url\": \"/transactions?limit=1\", \"next\": \"/transactions?limit=1&starting_after=payu00000001\", \"previous\": \"/transactions?limit=1&ending_before=payu00000001\" }"

